package com.hongyegroup.cpt_parttime.widget;

import android.content.Context;

import com.guadou.lib_baselib.utils.CommUtils;
import com.hongyegroup.cpt_parttime.R;
import com.lxj.xpopup.core.CenterPopupView;
import com.lxj.xpopup.util.XPopupUtils;

import androidx.annotation.NonNull;

/**
 * 加急申请成功的弹窗
 */
public class UserUrgentAlertPopup extends CenterPopupView {

    public UserUrgentAlertPopup(@NonNull Context context) {
        super(context);
    }

    @Override
    protected int getImplLayoutId() {
        return R.layout.view_popup_user_urgent;
    }

    @Override
    protected int getMaxWidth() {
        return XPopupUtils.getWindowWidth(CommUtils.getContext());
    }

    @Override
    protected void initPopupContent() {
        super.initPopupContent();

        findViewById(R.id.iv_dialog_delete).setOnClickListener(v -> {
            dismiss();
        });

        findViewById(R.id.tv_dialog_ok).setOnClickListener(v -> {
            dismiss();
        });

    }

}
